# Interface BinnedData

All Known Implementing Classes:
  `MapBinnedData, NormalisedBinnedData`

public interface BinnedData
Stores and dispenses binned data for a histogram.

Since:
  11 Nov 2005
Author:
  Mark Taylor

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`BinnedData.Bin`
Represents a single bin.

## Method Summary

Modifier and Type
Method
Description
`Iterator<BinnedData.Bin>`
`getBinIterator(boolean includeEmpty)`
Returns an iterator over the bins managed by this object.
`int`
`getSetCount()`
Returns the number of subsets for which this object maintains bins.
`boolean`
`isInteger()`
Indicates whether the count values in the bins are known to be integers.
`void`
`submitDatum(double value, double weight, boolean[] setFlags)`
Submits a value for inclusion in this BinnedData object.

## Method Details

### submitDatum

void submitDatum(double value, double weight, boolean[] setFlags)
Submits a value for inclusion in this BinnedData object. As well as the value itself and a weight, a mask of boolean flags is given that indicates which subsets are considered to contain the submitted value.

Parameters:
  `value` - value for inclusion
  `weight` - weighting
  `setFlags` - array of flags, one for each subset; true for inclusion, false for exclusion

### getBinIterator

Iterator<BinnedData.Bin> getBinIterator(boolean includeEmpty)
Returns an iterator over the bins managed by this object. The bins must be returned in order (lowest data range bin to highest data range bin).

It is inadvisable to call `submitDatum(double, double, boolean[])` during the lifetime of this iterator.

Parameters:
  `includeEmpty` - if true, then all bins between the lowest and highest must be iterated over. If false, then empty bins may be omitted
Returns:
  iterator which dispenses `BinnedData.Bin` instances

### getSetCount

int getSetCount()
Returns the number of subsets for which this object maintains bins.

Returns:
  set count

### isInteger

boolean isInteger()
Indicates whether the count values in the bins are known to be integers.

Returns:
  true if all `Bin.getWeightedCount` returns are integer values